## plasma-workspace 5.18.5-0ubuntu0.1+10.0trisquel1

=== debian/changelog ===
plasma-workspace (4:5.18.5-0ubuntu0.1+10.0trisquel1) nabia; urgency=medium

  * Smaller clock size on panel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 27 Oct 2021 00:36:32 +0000

## plasma-workspace 5.18.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plasma-workspace)
set(PROJECT_VERSION "5.18.8")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.66.0")
set(INSTALL_SDDM_THEME TRUE)
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets Quick QuickWidgets Concurrent Test Network)
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMQueryQmake)
include(KDEPackageAppTemplates)
include(KDEClangFormat)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
                    Plasma DocTools Runner NotifyConfig Su NewStuff Wallet
                    IdleTime Declarative I18n KCMUtils TextWidgets KDELibs4Support Crash GlobalAccel
                    DBusAddons Wayland CoreAddons People ActivitiesStats)
find_package(KDED CONFIG REQUIRED)

find_package(KF5NetworkManagerQt ${KF5_MIN_VERSION})
set_package_properties(KF5NetworkManagerQt PROPERTIES DESCRIPTION "Qt wrapper for NetworkManager API"
                       TYPE OPTIONAL
                       PURPOSE "Needed by geolocation data engine."
                      )

find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    TYPE RUNTIME
)

find_package(KF5QuickCharts ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5QuickCharts PROPERTIES
    DESCRIPTION "Used for rendering charts"
    TYPE RUNTIME
)

# WARNING PlasmaQuick provides unversioned CMake config
find_package(KUserFeedback)
find_package(KF5 REQUIRED COMPONENTS PlasmaQuick)
find_package(KF5 REQUIRED COMPONENTS SysGuard)
find_package(KF5 REQUIRED COMPONENTS Package)

find_package(KF5Baloo)
set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed for the File Search runner."
                      )

find_package(KF5TextEditor)
find_package(KWinDBusInterface CONFIG REQUIRED)

find_package(KF5Screen CONFIG REQUIRED)
find_package(KScreenLocker 5.13.80 REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KF5Holidays)
set_package_properties(KF5Holidays PROPERTIES DESCRIPTION "Holidays provider for Plasma calendar"
                       TYPE OPTIONAL
                       PURPOSE "Needed to for holidays plugin for Plasma Calendar."
                      )

find_package(Phonon4Qt5 4.6.60 REQUIRED NO_MODULE)
set_package_properties(Phonon4Qt5 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   TYPE REQUIRED)
find_package(KF5Activities ${KF5_MIN_VERSION})
set_package_properties(KF5Activities PROPERTIES DESCRIPTION "management of Plasma activities"
                       TYPE OPTIONAL
                       PURPOSE "Needed by activity related plasmoids."
                      )

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "https://www.zlib.net"
                       TYPE REQUIRED
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org"
                        TYPE OPTIONAL
                        PURPOSE "Required for building the X11 based workspace")

if(X11_FOUND)
  find_package(XCB MODULE REQUIRED COMPONENTS XCB RANDR)
  set_package_properties(XCB PROPERTIES TYPE REQUIRED)
  if(NOT X11_SM_FOUND)
    message(FATAL_ERROR "\nThe X11 Session Management (SM) development package could not be found.\nPlease install libSM.\n")
  endif(NOT X11_SM_FOUND)

  find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)
endif()

if(X11_FOUND AND XCB_XCB_FOUND)
  set(HAVE_X11 1)
endif()

find_package(AppStreamQt 0.10.6)
set_package_properties(AppStreamQt PROPERTIES DESCRIPTION "Access metadata for listing available software"
                       URL "https://www.freedesktop.org/wiki/Distributions/AppStream/"
		       TYPE OPTIONAL
                      )

if(${AppStreamQt_FOUND})
    set(HAVE_APPSTREAMQT true)
endif()

include(ConfigureChecks.cmake)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(config-appstream.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-appstream.h )
add_subdirectory(login-sessions)

plasma_install_package(lookandfeel org.kde.breeze.desktop look-and-feel lookandfeel)

if (INSTALL_SDDM_THEME)
    configure_file(sddm-theme/theme.conf.cmake ${CMAKE_CURRENT_BINARY_DIR}/sddm-theme/theme.conf)

# Install the login theme into the SDDM directory
# Longer term we need to look at making SDDM load from look and feel somehow.. and allow copying at runtime
    #NOTE this trailing slash is important to rename the directory
    install(DIRECTORY sddm-theme/ DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze PATTERN "README.txt" EXCLUDE PATTERN "components" EXCLUDE PATTERN "dummydata" EXCLUDE
    PATTERN "theme.conf.cmake" EXCLUDE)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sddm-theme/theme.conf DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze)
    install(DIRECTORY lookandfeel/contents/components DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze PATTERN "README.txt" EXCLUDE)

endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

# locate qdbus in the Qt path because not every distro makes a symlink at /usr/bin/qdbus
query_qmake(QtBinariesDir QT_INSTALL_BINS)

add_subdirectory(doc)
add_subdirectory(libkworkspace)
add_subdirectory(libdbusmenuqt)
add_subdirectory(appmenu)

add_subdirectory(libtaskmanager)
add_subdirectory(libnotificationmanager)
add_subdirectory(libcolorcorrect)
add_subdirectory(components)

add_subdirectory(plasma-windowed)
add_subdirectory(shell)
add_subdirectory(freespacenotifier)
add_subdirectory(klipper)
add_subdirectory(krunner)
add_subdirectory(ksmserver)
add_subdirectory(logout-greeter)
add_subdirectory(ksplash)
add_subdirectory(systemmonitor)
add_subdirectory(statusnotifierwatcher)
add_subdirectory(startkde)
add_subdirectory(themes)

add_subdirectory(kcms)

add_subdirectory(containmentactions)
add_subdirectory(runners)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(wallpapers)

add_subdirectory(kioslave)
add_subdirectory(ktimezoned)
add_subdirectory(menu)
add_subdirectory(phonon)

# This ensures pressing the eject button on a CD drive ejects the disc
# It listens to the Solid::OpticalDrive::ejectPressed signal that is only
# supported by Solid in the HAL backend and does nothing with UDev
if(CMAKE_SYSTEM_NAME MATCHES FreeBSD)
add_subdirectory(solidautoeject)
endif()

ecm_optional_add_subdirectory(xembed-sni-proxy)

ecm_optional_add_subdirectory(gmenu-dbusmenu-proxy)

add_subdirectory(soliduiserver)

if(KF5Holidays_FOUND)
    add_subdirectory(plasmacalendarintegration)
endif()

add_subdirectory(templates)

install(FILES plasma-workspace.categories   DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== kcms/CMakeLists.txt ===
add_subdirectory(translations)

if(KUserFeedback_FOUND)
    add_subdirectory(feedback)
endif()

=== krunner/CMakeLists.txt ===
set(krunner_SRCS
    main.cpp
    view.cpp
)

set(krunner_dbusAppXML dbus/org.kde.krunner.App.xml)
qt5_add_dbus_adaptor(krunner_SRCS ${krunner_dbusAppXML} view.h View)
configure_file(dbus/org.kde.krunner.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krunner.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krunner.service
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})


add_executable(krunner ${krunner_SRCS})

target_link_libraries(krunner
    Qt5::Quick
    Qt5::Widgets
    KF5::Declarative
    KF5::I18n
    KF5::PlasmaQuick
    KF5::DBusAddons
    KF5::Crash
    KF5::WaylandClient
    KF5::QuickAddons
    PW::KWorkspace
)
target_compile_definitions(krunner PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

install(TARGETS krunner ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${krunner_dbusAppXML} DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} )

configure_file(krunner.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/krunner.desktop @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/krunner.desktop DESTINATION ${DATA_INSTALL_DIR}/kglobalaccel)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KRunnerAppDBusInterface")
configure_package_config_file(KRunnerAppDBusInterfaceConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KRunnerAppDBusInterfaceConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KRunnerAppDBusInterfaceConfig.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

add_subdirectory(update)

=== ksmserver/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"ksmserver\")

check_library_exists(ICE _IceTransNoListen "" HAVE__ICETRANSNOLISTEN)
configure_file(config-ksmserver.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksmserver.h)

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

########### next target ###############

set(ksmserver_KDEINIT_SRCS
    main.cpp
    server.cpp
    legacy.cpp
    logout.cpp
    client.cpp
)
ecm_qt_declare_logging_category(ksmserver_KDEINIT_SRCS HEADER ksmserver_debug.h IDENTIFIER KSMSERVER CATEGORY_NAME org.kde.kf5.ksmserver)

qt5_add_dbus_adaptor( ksmserver_KDEINIT_SRCS org.kde.KSMServerInterface.xml server.h KSMServer )
qt5_add_dbus_interface( ksmserver_KDEINIT_SRCS ${KSCREENLOCKER_DBUS_INTERFACES_DIR}/org.kde.screensaver.xml kscreenlocker_interface )
qt5_add_dbus_interface( ksmserver_KDEINIT_SRCS org.kde.LogoutPrompt.xml logoutprompt_interface)
qt5_add_dbus_interface( ksmserver_KDEINIT_SRCS org.kde.KWin.Session.xml kwinsession_interface)


set(klauncher_xml ${KINIT_DBUS_INTERFACES_DIR}/kf5_org.kde.KLauncher.xml)
qt5_add_dbus_interface( ksmserver_KDEINIT_SRCS ${klauncher_xml} klauncher_interface )

qt5_add_dbus_interface( ksmserver_KDEINIT_SRCS ../startkde/plasma-session/org.kde.Startup.xml startup_interface )
qt5_add_dbus_interface( ksmserver_KDEINIT_SRCS ../startkde/plasma-session/org.kde.Shutdown.xml shutdown_interface )

kf5_add_kdeinit_executable( ksmserver ${ksmserver_KDEINIT_SRCS})

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KSMServerDBusInterface")

configure_package_config_file(KSMServerDBusInterfaceConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/KSMServerDBusInterfaceConfig.cmake
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

target_link_libraries(kdeinit_ksmserver
    PW::KScreenLocker
    PW::KWorkspace
    KF5::XmlGui
    KF5::GlobalAccel
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    ${X11_LIBRARIES}
    ${X11_Xrender_LIB}
    Qt5::X11Extras
    KF5::Solid
    Qt5::Quick
    KF5::Declarative
    KF5::DBusAddons
    KF5::Notifications
    KF5::Package
    KF5::WindowSystem
    Qt5::Concurrent
)

install(TARGETS kdeinit_ksmserver ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(TARGETS ksmserver ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KSMServerDBusInterfaceConfig.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})


########### install files ###############

install( FILES org.kde.KSMServerInterface.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== logout-greeter/CMakeLists.txt ===
set(LOGOUT_GREETER_SRCS main.cpp greeter.cpp shutdowndlg.cpp)
ecm_qt_declare_logging_category(LOGOUT_GREETER_SRCS HEADER debug.h
                                IDENTIFIER LOGOUT_GREETER
                                CATEGORY_NAME kde.logout_greeter
                                DEFAULT_SEVERITY Info)


qt5_add_dbus_adaptor( LOGOUT_GREETER_SRCS ../ksmserver/org.kde.LogoutPrompt.xml greeter.h Greeter)
qt5_add_dbus_interface( LOGOUT_GREETER_SRCS ../ksmserver/org.kde.KSMServerInterface.xml ksmserveriface)

add_executable(ksmserver-logout-greeter ${LOGOUT_GREETER_SRCS})
target_link_libraries(ksmserver-logout-greeter
    PW::KWorkspace
    Qt5::Widgets
    Qt5::Quick
    Qt5::X11Extras
    KF5::Declarative
    KF5::I18n
    KF5::Package
    KF5::QuickAddons
    KF5::KDELibs4Support # Solid/PowerManagement
    KF5::WaylandClient
    ${X11_LIBRARIES}
)
install(TARGETS ksmserver-logout-greeter DESTINATION ${KDE_INSTALL_LIBEXECDIR})
kdbusaddons_generate_dbus_service_file(ksmserver-logout-greeter org.kde.LogoutPrompt ${KDE_INSTALL_FULL_LIBEXECDIR})

if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

=== templates/CMakeLists.txt ===
set(apptemplate_DIRS
    ion-dataengine
)

kde_package_app_templates(TEMPLATES ${apptemplate_DIRS} INSTALL_DIR ${KDE_INSTALL_KTEMPLATESDIR})

=== applets/systemtray/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.private.systemtray\")

plasma_install_package(package org.kde.plasma.private.systemtray)

set(systemtray_SRCS
    systemtraymodel.cpp
    systemtray.cpp
)

ecm_qt_declare_logging_category(systemtray_SRCS HEADER debug.h
                                            IDENTIFIER SYSTEM_TRAY
                                            CATEGORY_NAME kde.systemtray
                                            DEFAULT_SEVERITY Info)

add_library(org.kde.plasma.private.systemtray MODULE ${systemtray_SRCS})

kcoreaddons_desktop_to_json(org.kde.plasma.private.systemtray package/metadata.desktop)

target_link_libraries(org.kde.plasma.private.systemtray
                      Qt5::Gui
                      Qt5::Quick
                      Qt5::DBus
                      KF5::Plasma
                      KF5::XmlGui
                      KF5::I18n
                      KF5::ItemModels)

install(TARGETS org.kde.plasma.private.systemtray DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets)

add_subdirectory(container)
if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

=== dataengines/geolocation/CMakeLists.txt ===
if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
    # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
    # 3.10+ lets us provide more macro names that require automoc.
    list(APPEND CMAKE_AUTOMOC_MACRO_NAMES K_EXPORT_PLASMA_GEOLOCATIONPROVIDER)
endif()

set(plasma_geolocation_interface_SRCS geolocationprovider.cpp)
add_library(plasma-geolocation-interface SHARED ${plasma_geolocation_interface_SRCS})
target_link_libraries(plasma-geolocation-interface
    PUBLIC
        Qt5::Core
        Qt5::Network
        KF5::Plasma
    PRIVATE
        KF5::KIOCore
)
set_target_properties(plasma-geolocation-interface PROPERTIES
   VERSION ${PROJECT_VERSION}
   SOVERSION ${PROJECT_VERSION_MAJOR}
)
install(TARGETS plasma-geolocation-interface ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES geolocationprovider.h ${CMAKE_CURRENT_BINARY_DIR}/geolocation_export.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/plasma/geolocation
        COMPONENT Devel)

#install(FILES includes/Interface
#        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KDE/Plasma/Geolocation
#        COMPONENT Devel)
# -------------------------------------------------------------------------------------------------


add_library(plasma_engine_geolocation MODULE geolocation.cpp)
target_compile_definitions(plasma_engine_geolocation PRIVATE -DQT_NO_KEYWORDS)
generate_export_header(plasma_engine_geolocation EXPORT_FILE_NAME "geolocation_export.h" BASE_NAME "GEOLOCATION")
target_link_libraries(plasma_engine_geolocation
    plasma-geolocation-interface
    KF5::Plasma
    KF5::CoreAddons
    KF5::KIOCore
    KF5::NetworkManagerQt
    KF5::Service
    KF5::Solid)
kcoreaddons_desktop_to_json(plasma_engine_geolocation plasma-dataengine-geolocation.desktop)

install(TARGETS plasma_engine_geolocation DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/dataengine)
install(FILES plasma-dataengine-geolocation.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES plasma-geolocationprovider.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

# -------------------------------------------------------------------------------------------------

set(plasma_geolocation_ip_SRCS location_ip.cpp)
ecm_qt_declare_logging_category(plasma_geolocation_ip_SRCS HEADER geolocdebug.h IDENTIFIER DATAENGINE_GEOLOCATION CATEGORY_NAME org.kde.plasma.dataengine.geolocation)
add_library(plasma-geolocation-ip MODULE ${plasma_geolocation_ip_SRCS})
target_compile_definitions(plasma-geolocation-ip PRIVATE -DQT_NO_KEYWORDS)
target_link_libraries(plasma-geolocation-ip plasma-geolocation-interface KF5::KIOCore KF5::NetworkManagerQt)
install(FILES plasma-geolocation-ip.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(TARGETS plasma-geolocation-ip DESTINATION ${KDE_INSTALL_PLUGINDIR})

# -------------------------------------------------------------------------------------------------

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
find_package(libgps)
set_package_properties(libgps PROPERTIES DESCRIPTION "GPS support for geolocation"
                       URL "https://www.berlios.de/software/gpsd/"
                       TYPE OPTIONAL
                      )
if(LIBGPS_FOUND)
    include_directories(${LIBGPS_INCLUDES} ${LIBGPS_INCLUDE_DIR})
    set(plasma_geolocation_gps_SRCS location_gps.cpp)
    ecm_qt_declare_logging_category(plasma_geolocation_gps_SRCS HEADER geolocdebug.h IDENTIFIER DATAENGINE_GEOLOCATION CATEGORY_NAME org.kde.plasma.dataengine.geolocation)
    add_library(plasma-geolocation-gps MODULE ${plasma_geolocation_gps_SRCS})
    target_link_libraries(plasma-geolocation-gps plasma-geolocation-interface ${LIBGPS_LIBRARIES})
    install(FILES plasma-geolocation-gps.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
    install(TARGETS plasma-geolocation-gps DESTINATION ${KDE_INSTALL_PLUGINDIR})
endif()

# -------------------------------------------------------------------------------------------------

=== klipper/autotests/CMakeLists.txt ===
add_definitions(-DKLIPPER_UNIT_TEST)
include(ECMMarkAsTest)
########################################################
# Test History
########################################################
set(libklipper_test_SRCS)
ecm_qt_declare_logging_category(libklipper_test_SRCS HEADER klipper_debug.h IDENTIFIER KLIPPER_LOG CATEGORY_NAME org.kde.klipper)

set(testHistory_SRCS
    ${libklipper_test_SRCS}
    historytest.cpp
    ../history.cpp
    ../historyimageitem.cpp
    ../historyitem.cpp
    ../historystringitem.cpp
    ../historyurlitem.cpp
    ../historymodel.cpp
)
add_executable(testHistory ${testHistory_SRCS})
target_link_libraries(testHistory
    Qt5::Test
    Qt5::Widgets # QAction
    KF5::CoreAddons # KUrlMimeData
    KF5::I18n
)
add_test(NAME klipper-testHistory COMMAND testHistory)
ecm_mark_as_test(testHistory)

########################################################
# Test History Model
########################################################
set(testHistoryModel_SRCS
    historymodeltest.cpp
    modeltest.cpp
    ../historymodel.cpp
    ../historyimageitem.cpp
    ../historyitem.cpp
    ../historystringitem.cpp
    ../historyurlitem.cpp
    ${libklipper_test_SRCS}
)
add_executable(testHistoryModel ${testHistoryModel_SRCS})
target_link_libraries(testHistoryModel
    Qt5::Test
    Qt5::Widgets # QAction
    KF5::CoreAddons # KUrlMimeData
    KF5::I18n
)
add_test(NAME klipper-testHistoryModel COMMAND testHistoryModel)
ecm_mark_as_test(testHistoryModel)

=== runners/windowedwidgets/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_windowedwidgets\")

add_library(krunner_windowedwidgets MODULE windowedwidgetsrunner.cpp)
target_link_libraries(krunner_windowedwidgets KF5::Plasma KF5::I18n KF5::Runner)

install(TARGETS krunner_windowedwidgets DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES plasma-runner-windowedwidgets.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== applets/systemtray/tests/statusnotifier/CMakeLists.txt ===
set(statusnotifiertest_SRCS
    main.cpp
    statusnotifiertest.cpp
    pumpjob.cpp
)

ki18n_wrap_ui(statusnotifiertest_SRCS statusnotifiertest.ui)

add_executable(statusnotifiertest ${statusnotifiertest_SRCS})

target_link_libraries(statusnotifiertest
    Qt5::Widgets
    Qt5::Core
    KF5::CoreAddons
    KF5::KIOCore
    KF5::Service
    KF5::Notifications
    KF5::I18n
    Qt5::DBus
)

include(ECMMarkAsTest)
ecm_mark_as_test(statusnotifiertest)

=== debian/changelog ===
plasma-workspace (4:5.18.8-0ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: ksmserver: Unauthorized users can access session manager
    (LP: #2067742)
    - debian/patches/CVE-2024-36041.patch: do not allow local connections
      without proper authentication.
    - CVE-2024-36041

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 17 Jun 2024 17:30:31 -0500

plasma-workspace (4:5.18.8-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.8) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:40:43 +0000

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.66.0~),
               cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               kded5-dev (>= 5.66.0~),
               kgendesignerplugin (>= 5.66.0~),
               kinit-dev (>= 5.66.0~),
               kquickcharts-dev (>= 5.66.0~),
               kscreenlocker-dev (>= 5.18.4~),
               kwin-dev (>= 4:5.18.7~),
               libappstreamqt-dev (>= 0.10.4~) [linux-any],
               libboost-dev,
               libdbusmenu-qt5-dev,
               libgps-dev,
               libkf5activities-dev (>= 5.66.0~),
               libkf5activitiesstats-dev (>= 5.66.0~),
               libkf5config-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5crash-dev (>= 5.66.0~),
               libkf5dbusaddons-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5doctools-dev (>= 5.66.0~),
               libkf5globalaccel-dev (>= 5.66.0~),
               libkf5holidays-dev (>= 1:5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5idletime-dev (>= 5.66.0~),
               libkf5itemmodels-dev (>= 5.66.0~),
               libkf5kcmutils-dev (>= 5.66.0~),
               libkf5kdelibs4support-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5networkmanagerqt-dev (>= 5.66.0~),
               libkf5newstuff-dev (>= 5.66.0~),
               libkf5notifyconfig-dev (>= 5.66.0~),
               libkf5package-dev (>= 5.66.0~),
               libkf5people-dev (>= 5.66.0~),
               libkf5plasma-dev (>= 5.66.0~),
               libkf5prison-dev (>= 5.66.0~),
               libkf5runner-dev (>= 5.66.0~),
               libkf5screen-dev (>= 4:5.18.4~),
               libkf5solid-dev (>= 5.66.0~),
               libkf5su-dev (>= 5.66.0~),
               libkf5sysguard-dev (>= 4:5.18.4~),
               libkf5texteditor-dev (>= 5.66.0~),
               libkf5textwidgets-dev (>= 5.66.0~),
               libkf5wallet-dev (>= 5.66.0~),
               libkf5wayland-dev (>= 4:5.66.0~),
               libkf5webkit-dev (>= 5.66.0~),
               libkf5xmlrpcclient-dev (>= 5.66.0~),
               libnm-dev,
               libpam0g-dev,
               libphonon4qt5-dev (>= 4:4.8.0-5),
               libphonon4qt5experimental-dev,
               libqalculate-dev,
               libqt5sensors5-dev,
               libqt5webkit5-dev (>= 5.7~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libraw1394-dev,
               libsm-dev,
               libudev-dev,
               libwayland-dev (>= 1.3),
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev | libxcb-util0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-framework (>= 5.54.0~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.7~),
               xcb-proto,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace

Package: libcolorcorrect5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 ColorCorrect library.
 .
 This package contains library files.

Package: libkworkspace5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Kworkspace library.
 .
 This package contains library files.

Package: libplasma-geolocation-interface5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Interface library for geolocation.
 .
 This package contains library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libtaskmanager5
Replaces: libtaskmanager5
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.

Package: libnotificationmanager1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files for notifications.

Package: libweather-ion7
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Weather_ion library.
 .
 This package contains library files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 5.18.0),
         frameworkintegration,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd (>= 5.18.0),
         kded5,
         kinit,
         kio,
         kwin-common (>= 4:5.18.0),
         libappstreamqt2,
         libkf5config-bin,
         libkf5globalaccel-bin (>= 5.7.0),
         libkf5plasma5 (>= 5.45.0~),
         libkf5service-bin,
         milou (>= 4:5.18.0),
         plasma-framework (>= 5.54.0~),
         plasma-integration (>= 5.18.0),
         qdbus-qt5,
         qml-module-org-kde-activities,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kconfig,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kholidays,
         qml-module-org-kde-kirigami2 (>= 5.54.0~),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-newstuff,
         qml-module-org-kde-quickcharts,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-gtk3-module,
            kde-cli-tools (>= 4:5.18.0),
            kio-extras,
            ksysguardd (>= 4:5.18.0),
            libpam-kwallet5 (>= 5.18.0),
            powerdevil (>= 4:5.18.0),
            qml-module-org-kde-qqc2desktopstyle,
Breaks: kde-window-manager (<= 4:5),
        kio-extras (<< 4:5.3.2+git20150710.0210),
        kio-extras-data (<< 4:5.3.2+git20150710.0210),
        plasma-desktop (<< 4:5.16.80~),
        plasma-desktop-data (<< 4:5.16.80~),
        ${kde-l10n:all},
Conflicts: kde-workspace, kde-workspace-data, klipper
Provides: notification-daemon, x-session-manager
Replaces: kde-workspace-bin,
          kde-workspace-data,
          kio-extras (<< 4:5.3.2+git20150710.0210),
          kio-extras-data (<< 4:5.3.2+git20150710.0210),
          klipper,
          plasma-desktop (<< 4:5.16.80~),
          plasma-desktop-data (<< 4:5.16.80~),
          plasma-systray-legacy,
          plasma-workspace-data,
          ${kde-l10n:all},
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 4.

Package: plasma-workspace-dev
Architecture: any
Depends: kwin-common (>= 4:5.18.0),
         libkf5itemmodels-dev (>= 5.66.0~),
         libkf5plasma-dev (>= 5.66.0~),
         libkf5sysguard-dev (>= 4:5.18.4~),
         libkf5windowsystem-dev (>= 5.66.0~),
         plasma-workspace (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         qtdeclarative5-dev (>= 5.9.0~),
         ${allLibraries},
         ${misc:Depends},
Breaks: kde-workspace-dev
Conflicts: kde-workspace-dev
Replaces: kde-workspace-dev
Description: Plasma Workspace for KF5 devel files
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: plasma-workspace-wayland
Architecture: any
Depends: kwayland-integration (>= 5.18.0),
         kwin-wayland (>= 4:5.18.0),
         plasma-workspace (= ${binary:Version}),
         qtwayland5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace for KF5 - Wayland integration
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-framework (>= 5.54.0~), plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Recommends: sddm
Breaks: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Provides: sddm-theme
Replaces: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Description: Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/unstable/plasma/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## plasma-workspace 5.18.8-0ubuntu0.1%2B10.0trisquel2

=== debian/changelog ===
plasma-workspace (4:5.18.8-0ubuntu0.1+10.0trisquel2) nabia; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 10 Feb 2022 00:37:40 +0000

## plasma-workspace 5.18.8-0ubuntu0.2%2B10.0trisquel2

=== debian/changelog ===
plasma-workspace (4:5.18.8-0ubuntu0.2+10.0trisquel2) nabia-security; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 26 Jun 2024 16:43:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: plasma-workspace
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: baloo-kf5-dev (>= 5.66.0~),

## plasma-workspace 5.19.5

=== debian/changelog ===
plasma-workspace (4:5.19.5-0ubuntu2) groovy; urgency=medium

  * Add patch requested by KDE devs:
    + debian/patches: upstream_fix-login-button-size.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Sep 2020 10:10:04 +0100

plasma-workspace (4:5.19.5-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update lintian overrides

  [ Rik Mills ]
  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:55:08 +0100

plasma-workspace (4:5.19.4-0ubuntu2) groovy; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Aug 2020 18:46:52 +0100

plasma-workspace (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:43:37 +0100

plasma-workspace (4:5.19.3-0ubuntu2) groovy; urgency=medium

  * No-change rebuild against libqalculate21.

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Jul 2020 08:13:55 +0100

plasma-workspace (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:00:57 +0100

plasma-workspace (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * Update install files.
  * Update symbols.
  * New upstream release (5.19.0)
  * Update lintian overrides.
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)
  * Add upstream_fix-kde-bug-422684.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:46:57 +0100

plasma-workspace (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:41:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,57 +1,56 @@
 Source: plasma-workspace
 Section: kde
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.66.0~),
+Build-Depends: baloo-kf5-dev (>= 5.70.0~),
                cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               kded5-dev (>= 5.66.0~),
-               kgendesignerplugin (>= 5.66.0~),
-               kinit-dev (>= 5.66.0~),
-               kquickcharts-dev (>= 5.66.0~),
-               kscreenlocker-dev (>= 5.18.4~),
-               kwin-dev (>= 4:5.18.7~),
+               extra-cmake-modules (>= 5.70.0~),
+               kded5-dev (>= 5.70.0~),
+               kgendesignerplugin (>= 5.70.0~),
+               kinit-dev (>= 5.70.0~),
+               kquickcharts-dev (>= 5.70.0~),
+               kscreenlocker-dev (>= 5.19.5~),
+               kwin-dev (>= 4:5.19.5~),
                libappstreamqt-dev (>= 0.10.4~) [linux-any],
                libboost-dev,
                libdbusmenu-qt5-dev,
                libgps-dev,
-               libkf5activities-dev (>= 5.66.0~),
-               libkf5activitiesstats-dev (>= 5.66.0~),
-               libkf5config-dev (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5crash-dev (>= 5.66.0~),
-               libkf5dbusaddons-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5doctools-dev (>= 5.66.0~),
-               libkf5globalaccel-dev (>= 5.66.0~),
-               libkf5holidays-dev (>= 1:5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5idletime-dev (>= 5.66.0~),
-               libkf5itemmodels-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5kdelibs4support-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5networkmanagerqt-dev (>= 5.66.0~),
-               libkf5newstuff-dev (>= 5.66.0~),
-               libkf5notifyconfig-dev (>= 5.66.0~),
-               libkf5package-dev (>= 5.66.0~),
-               libkf5people-dev (>= 5.66.0~),
-               libkf5plasma-dev (>= 5.66.0~),
-               libkf5prison-dev (>= 5.66.0~),
-               libkf5runner-dev (>= 5.66.0~),
-               libkf5screen-dev (>= 4:5.18.4~),
-               libkf5solid-dev (>= 5.66.0~),
-               libkf5su-dev (>= 5.66.0~),
-               libkf5sysguard-dev (>= 4:5.18.4~),
-               libkf5texteditor-dev (>= 5.66.0~),
-               libkf5textwidgets-dev (>= 5.66.0~),
-               libkf5wallet-dev (>= 5.66.0~),
-               libkf5wayland-dev (>= 4:5.66.0~),
-               libkf5webkit-dev (>= 5.66.0~),
-               libkf5xmlrpcclient-dev (>= 5.66.0~),
+               libkf5activities-dev (>= 5.70.0~),
+               libkf5activitiesstats-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5crash-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5doctools-dev (>= 5.70.0~),
+               libkf5globalaccel-dev (>= 5.70.0~),
+               libkf5holidays-dev (>= 1:5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5idletime-dev (>= 5.70.0~),
+               libkf5itemmodels-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5kdelibs4support-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5networkmanagerqt-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
+               libkf5notifyconfig-dev (>= 5.70.0~),
+               libkf5package-dev (>= 5.70.0~),
+               libkf5people-dev (>= 5.70.0~),
+               libkf5plasma-dev (>= 5.70.0~),
+               libkf5prison-dev (>= 5.70.0~),
+               libkf5runner-dev (>= 5.70.0~),
+               libkf5screen-dev (>= 4:5.19.5~),
+               libkf5solid-dev (>= 5.70.0~),
+               libkf5su-dev (>= 5.70.0~),
+               libkf5sysguard-dev (>= 4:5.19.5~),
+               libkf5texteditor-dev (>= 5.70.0~),
+               libkf5textwidgets-dev (>= 5.70.0~),
+               libkf5wallet-dev (>= 5.70.0~),
+               libkf5wayland-dev (>= 4:5.70.0~),
+               libkf5webkit-dev (>= 5.70.0~),
+               libkf5xmlrpcclient-dev (>= 5.70.0~),
                libnm-dev,
                libpam0g-dev,
                libphonon4qt5-dev (>= 4:4.8.0-5),
@@ -171,23 +170,23 @@
 Package: plasma-workspace
 Architecture: any
 Depends: default-dbus-session-bus | dbus-session-bus,
-         drkonqi (>= 5.18.0),
+         drkonqi (>= 5.19.0~),
          frameworkintegration,
          gdb-minimal | gdb,
          iso-codes,
-         kactivitymanagerd (>= 5.18.0),
+         kactivitymanagerd (>= 5.19.0~),
          kded5,
          kinit,
          kio,
-         kwin-common (>= 4:5.18.0),
+         kwin-common (>= 4:5.19.0~),
          libappstreamqt2,
          libkf5config-bin,
          libkf5globalaccel-bin (>= 5.7.0),
          libkf5plasma5 (>= 5.45.0~),
          libkf5service-bin,
-         milou (>= 4:5.18.0),
+         milou (>= 4:5.19.0~),
          plasma-framework (>= 5.54.0~),
-         plasma-integration (>= 5.18.0),
+         plasma-integration (>= 5.19.0~),
          qdbus-qt5,
          qml-module-org-kde-activities,
          qml-module-org-kde-draganddrop,
@@ -197,6 +196,7 @@
          qml-module-org-kde-kirigami2 (>= 5.54.0~),
          qml-module-org-kde-kquickcontrols,
          qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-org-kde-ksysguard,
          qml-module-org-kde-kwindowsystem,
          qml-module-org-kde-newstuff,
          qml-module-org-kde-quickcharts,
@@ -215,11 +215,11 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-gtk3-module,
-            kde-cli-tools (>= 4:5.18.0),
+            kde-cli-tools (>= 4:5.19.0~),
             kio-extras,
-            ksysguardd (>= 4:5.18.0),
-            libpam-kwallet5 (>= 5.18.0),
-            powerdevil (>= 4:5.18.0),
+            ksysguardd (>= 4:5.19.0~),
+            libpam-kwallet5 (>= 5.19.0~),
+            powerdevil (>= 4:5.19.0~),
             qml-module-org-kde-qqc2desktopstyle,
 Breaks: kde-window-manager (<= 4:5),
         kio-extras (<< 4:5.3.2+git20150710.0210),
@@ -248,11 +248,11 @@
 
 Package: plasma-workspace-dev
 Architecture: any
-Depends: kwin-common (>= 4:5.18.0),
-         libkf5itemmodels-dev (>= 5.66.0~),
-         libkf5plasma-dev (>= 5.66.0~),
-         libkf5sysguard-dev (>= 4:5.18.4~),
-         libkf5windowsystem-dev (>= 5.66.0~),
+Depends: kwin-common (>= 4:5.19.0~),
+         libkf5itemmodels-dev (>= 5.70.0~),
+         libkf5plasma-dev (>= 5.70.0~),
+         libkf5sysguard-dev (>= 4:5.19.5~),
+         libkf5windowsystem-dev (>= 5.70.0~),
          plasma-workspace (= ${binary:Version}),
          qtbase5-dev (>= 5.9.0~),
          qtdeclarative5-dev (>= 5.9.0~),
@@ -270,8 +270,8 @@
 
 Package: plasma-workspace-wayland
 Architecture: any
-Depends: kwayland-integration (>= 5.18.0),
-         kwin-wayland (>= 4:5.18.0),
+Depends: kwayland-integration (>= 5.19.0~),
+         kwin-wayland (>= 4:5.19.0~),
          plasma-workspace (= ${binary:Version}),
          qtwayland5,
          ${misc:Depends},
